Bug Hunting Session
Bug 96385 - Tracker: GL black / flickering issues
Summary: Tracker: GL black / flickering issues
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on: 94462 94843 95616
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-12-10 13:12 UTC by Michael Meeks
Modified: 2019-04-30 19:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-12-10 13:12:01 UTC
We've had a number of black / flickering issues in 5.0.x with OpenGL in-use. These stem from the fact that we are seeing the live rendering as it happens.

A fix for that is on its way for 5.1.0 - this is a tracker bug for that.
Comment 1 Michael Meeks 2016-01-12 20:59:50 UTC
Gerrit has a fix we're testing for this:

https://gerrit.libreoffice.org/21405

Seems to handle many cases - also we've switched the background clearing to white from black; so most users will perceive much less flicker anyway =)
Comment 2 Commit Notification 2016-01-12 22:04:10 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d6c1b6981f01bbc0057234f53fd139e87a5f010

tdf#96385 - opengl: dynamically adjust priority of swap buffers.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-01-13 01:57:30 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6fa1b457fc90ca92a1e8e70d4446cd5462da3158&h=libreoffice-5-1

tdf#96385 - opengl: dynamically adjust priority of swap buffers.

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2016-03-14 14:32:30 UTC
All dependents now fixed; close for now.